# Create a new product (/docs/api-reference/products/ProductsController_create)

`POST /api/factories/{factoryId}/products`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |

## Request body

Required.

Content type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "description": "Product name",
      "example": "Syringe Cap 10ml"
    },
    "partNumber": {
      "type": "string",
      "description": "SKU / Part Number",
      "example": "SC-010-ML"
    },
    "description": {
      "type": "string",
      "description": "Product description"
    },
    "unit": {
      "type": "string",
      "description": "Unit of measure",
      "default": "pcs"
    },
    "categories": {
      "description": "Categories",
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "tags": {
      "description": "Tags",
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "specPoints": {
      "description": "Bulleted inspection requirements",
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "lifecycleStatus": {
      "type": "string",
      "description": "Lifecycle status",
      "enum": [
        "draft",
        "active",
        "discontinued",
        "archived"
      ],
      "default": "active"
    }
  },
  "required": [
    "name"
  ]
}
```

## Responses

### 201: Product created